#ifndef _AHELLOW2_
#define _AHELLOW2_
/*****************************************************************************
* HELLO WORLD SAMPLE PROGRAM - Version 2: Class Header (ahellow2.hpp)        *
*                                                                            *
* COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1995. *
*                                                                            *
* DISCLAIMER OF WARRANTIES:                                                  *
*   The following [enclosed] code is sample code created by IBM              *
*   Corporation.  This sample code is not part of any standard IBM product   *
*   and is provided to you solely for the purpose of assisting you in the    *
*   development of your applications.  The code is provided "AS IS",         *
*   without warranty of any kind.  IBM shall not be liable for any damages   *
*   arising out of your use of the sample code, even if they have been       *
*   advised of the possibility of such damages.                              *
*****************************************************************************/
//NOTE: WE RECOMMEND USING A FIXED-SPACE FONT TO LOOK AT THE SOURCE.

#ifndef _IFRAME_                                                            //V2
  #include <iframe.hpp>         //Include IFrameWindow class header           V2
#endif                                                                      //V2
#ifndef _ISTATTXT_                                                          //V2
  #include <istattxt.hpp>       //Include IStaticText class header            V2
#endif                                                                      //V2
#ifndef _IINFOA_                                                            //V2
  #include <iinfoa.hpp>         //Include IInfoArea class header              V2
#endif                                                                      //V2

/**************************************************************************   V2
* Class:   AHelloWindow                                                   *   V2
*                                                                         *   V2
* Purpose: Main Window class for C++ Hello World sample application.      *   V2
*          It is derived from IFrameWindow class.                         *   V2
*                                                                         *   V2
**************************************************************************/ //V2
class AHelloWindow : public IFrameWindow                                    //V2
{                                                                           //V2
public:                                                                     //V2
    AHelloWindow(unsigned long windowId);                                   //V2
virtual ~AHelloWindow() { }                 //Destructor for this class       V2

  private:                                                                  //V2
    IStaticText   hello;                                                    //V2
    IInfoArea     infoArea;                                                 //V2

    AHelloWindow(const AHelloWindow&);  //Default copy constructor            V2
AHelloWindow                                                                //V2
    &operator=(const AHelloWindow&);    //Default assignment operator         V2
};                                                                          //V2
#endif                                                                      //V2
